Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin
Interface RemoteOrganizationManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteOrganizationManager

extends java.rmi.Remote

Manage Organizations through RMI client.

See Also:
  `OrganizationManager`

Method Summary
`java.lang.String` | `createOrganization(java.lang.String realmName, java.lang.String orgName, int userAmount, java.lang.String description, java.lang.String submitter)`
`JOrganization` | `getOrganization(java.lang.String realmName, java.lang.String orgName, java.lang.String submitter)`
`java.util.List<JOrganization>` | `getOrganizations(java.lang.String realmName)`
`java.lang.String` | `removeOrganization(java.lang.String realmName, java.lang.String orgName, java.lang.String submitter)`
`java.lang.String` | `updateOrganization(java.lang.String realmName, java.lang.String orgName, int userAmount, java.lang.String description, java.lang.String submitter)`

Method Detail

### getOrganization

    JOrganization getOrganization(java.lang.String realmName,
                                  java.lang.String orgName,
                                  java.lang.String submitter)
                                  throws java.rmi.RemoteException,
                                         NoSuchOrganizationException,
                                         NoSuchRealmException

  Throws:
    `java.rmi.RemoteException`
    `NoSuchOrganizationException`
    `NoSuchRealmException`

### getOrganizations

    java.util.List<JOrganization> getOrganizations(java.lang.String realmName)
                                                   throws java.rmi.RemoteException,
                                                          NoSuchRealmException

  Throws:
    `java.rmi.RemoteException`
    `NoSuchRealmException`

### createOrganization

    java.lang.String createOrganization(java.lang.String realmName,
                                        java.lang.String orgName,
                                        int userAmount,
                                        java.lang.String description,
                                        java.lang.String submitter)
                                        throws java.rmi.RemoteException,
                                               OrganizationExistsException,
                                               NoSuchRealmException

  Throws:
    `java.rmi.RemoteException`
    `OrganizationExistsException`
    `NoSuchRealmException`

### updateOrganization

    java.lang.String updateOrganization(java.lang.String realmName,
                                        java.lang.String orgName,
                                        int userAmount,
                                        java.lang.String description,
                                        java.lang.String submitter)
                                        throws java.rmi.RemoteException,
                                               NoSuchOrganizationException,
                                               NoSuchRealmException

  Throws:
    `java.rmi.RemoteException`
    `NoSuchOrganizationException`
    `NoSuchRealmException`

### removeOrganization

    java.lang.String removeOrganization(java.lang.String realmName,
                                        java.lang.String orgName,
                                        java.lang.String submitter)
                                        throws java.rmi.RemoteException,
                                               NoSuchOrganizationException,
                                               NoSuchRealmException

  Throws:
    `java.rmi.RemoteException`
    `NoSuchOrganizationException`
    `NoSuchRealmException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD